## org.eclipse.amp.amf.parameters.services
Class AParGrammarAccess.ModelElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.parameters.services.AParGrammarAccess.ModelElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  AParGrammarAccess

    public class AParGrammarAccess.ModelElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`AParGrammarAccess.ModelElements()`

Method Summary
`org.eclipse.xtext.Group` `getGroup_3()`
`org.eclipse.xtext.Group` `getGroup()`
`org.eclipse.xtext.Assignment` `getIncorporatesAssignment_3_1()`
`org.eclipse.xtext.RuleCall` `getIncorporatesIncorporatesParserRuleCall_3_1_0()`
`org.eclipse.xtext.Keyword` `getIncorporatesKeyword_3_0()`
`org.eclipse.xtext.Assignment` `getModelAssignment_2()`
`org.eclipse.xtext.RuleCall` `getModelImportParserRuleCall_2_0()`
`org.eclipse.xtext.Keyword` `getModelKeyword_1()`
`org.eclipse.xtext.Assignment` `getNameAssignment_0()`
`org.eclipse.xtext.RuleCall` `getNameSTRINGTerminalRuleCall_0_0()`
`org.eclipse.xtext.Assignment` `getParametersAssignment_4()`
`org.eclipse.xtext.RuleCall` `getParametersParameterParserRuleCall_4_0()`
`org.eclipse.xtext.ParserRule` `getRule()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParGrammarAccess.ModelElements

    public AParGrammarAccess.ModelElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getGroup

    public org.eclipse.xtext.Group getGroup()

### getNameAssignment_0

    public org.eclipse.xtext.Assignment getNameAssignment_0()

### getNameSTRINGTerminalRuleCall_0_0

    public org.eclipse.xtext.RuleCall getNameSTRINGTerminalRuleCall_0_0()

### getModelKeyword_1

    public org.eclipse.xtext.Keyword getModelKeyword_1()

### getModelAssignment_2

    public org.eclipse.xtext.Assignment getModelAssignment_2()

### getModelImportParserRuleCall_2_0

    public org.eclipse.xtext.RuleCall getModelImportParserRuleCall_2_0()

### getGroup_3

    public org.eclipse.xtext.Group getGroup_3()

### getIncorporatesKeyword_3_0

    public org.eclipse.xtext.Keyword getIncorporatesKeyword_3_0()

### getIncorporatesAssignment_3_1

    public org.eclipse.xtext.Assignment getIncorporatesAssignment_3_1()

### getIncorporatesIncorporatesParserRuleCall_3_1_0

    public org.eclipse.xtext.RuleCall getIncorporatesIncorporatesParserRuleCall_3_1_0()

### getParametersAssignment_4

    public org.eclipse.xtext.Assignment getParametersAssignment_4()

### getParametersParameterParserRuleCall_4_0

    public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_4_0()